import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for SyncDelivery
void main() {
  final instance = SyncDeliveryBuilder();
  // TODO add properties to the builder and call build()

  group(SyncDelivery, () {
    // int belegartId
    test('to test the property `belegartId`', () async {
      // TODO
    });

    // String belegnummer
    test('to test the property `belegnummer`', () async {
      // TODO
    });

    // Address customerAddress
    test('to test the property `customerAddress`', () async {
      // TODO
    });

    // String customerName
    test('to test the property `customerName`', () async {
      // TODO
    });

    // Snapshot der Lieferadresse (kann von der Stammadresse abweichen).
    // Address deliveryAddress
    test('to test the property `deliveryAddress`', () async {
      // TODO
    });

    // String desiredTime
    test('to test the property `desiredTime`', () async {
      // TODO
    });

    // int erpCustomerId
    test('to test the property `erpCustomerId`', () async {
      // TODO
    });

    // BuiltList<SyncDeliveryItem> items
    test('to test the property `items`', () async {
      // TODO
    });

    // 1-basiert, definiert die initiale Reihenfolge in der App.
    // int sortOrder
    test('to test the property `sortOrder`', () async {
      // TODO
    });

    // String specialAgreements
    test('to test the property `specialAgreements`', () async {
      // TODO
    });

  });
}
